Welcome to the new monday developer community
-
Recently active
Hi, As I have developed an front-end APP, I am not performing OAuth. Instead I have developed an settings page in the front-end APP where I have provided with the option to enter the monday.com access token. But I received comments from the App review team that should not get the monday.com access token from the front-end. So, how to get the admin access token and store it in the APP. Kindly please advise in this above situation. Thanks in advance!
I am running a query to list only the IDs of all Subitems on a board using the Subitem Board ID and getting more subitems than are actually on the board. Have no idea why. The subitems that should not be in the list have a missing parent id (no parent item). Does anyone know why this is happening and how I can exclude these items within the query? Here is my query: {“query”:“\\n{\\n boards(ids: 4126679174) {\\n id\\n name\\n items (limit: 5000){\\n id\\n # name\\n }\\n }\\n}”,“variables”:“”}
Hi devs and monday support. We have noticed that, despite what is written in documentation, often the items_by_column_values query doesn’t return a match even if we wait 30 seconds after the insertion of a new item. Sometimes we get a match after 3 minutes. How can we improve/fix this behavior? Thanks for your support.
Has anyone had such a case where they had to make a copy of an element and place it as a subitem to another element? Maybe someone has a query for this case, I will be grateful. Of course, if this is not possible, I will be grateful for an answer. The second question is - is it possible to add elements via the API as mirrored fields?
I’ve created an internal React app for my company’s account with Monday.com. It’s an item view that displays data from Monday in an organized way that we like to see it displayed. What is the proper way for my React app to gain authentication? I don’t think it’s advised that I use my personal API key when this view could be used by 30 or 40 people. Is OAuth necessary here? Is there something else I should be doing in regards to authentication? Thanks in advance!
Hi! I have a plug in to create documents from your Monday.com items including subitems. With one status change the whole document is created no messy set up it’s all completed for you. Unlimited Users Unlimited Templates No lock in contracts This has saved me so much time and money 🤩 How to Send Documents for Signature Monday.com
Hello, I am attempting to build an integration service with a custom action that is resolved by a cloud hosted endpoint. Unfortunately, I am unable to retrieve the “payload” object in the request body, as it is outlined in the Custom Action documentation. Here is my current implementation: And here is the result: What am I missing?
Hello all! I’ve been tasked to develop something that displays how many unread Monday notifications a user has, but display it in our company intranet when they login. We all assumed there would be a “get notifications for user” endpoint or something similar but I can’t seem to find one. Any ideas on how to best handle this approach? We’d be ok with small tweaks to the idea too like number of open assignments or something instead of notifications specifically. Thanks!
Hey, Im running axios call (in nodeJS) service from my local host to Monday API. but I get - “self signed certificate in certificate chain”/ Searched the web a bit, and saw I can skip it by adding this (Only for debug purpose) “process.env.NODE_TLS_REJECT_UNAUTHORIZED = “0”;”. But then I get a new error: “socket hang up”. Is there a way you can point me to do something to allow me running queries to Monday in order to be able to debug my code? Through postman, I do mange making calls, and I guess the reason is its creates some self sign certificate. How do I do that? Thanks for the helper!
Create a new board from a template by this API , will return 1 or 0 item and wrong item_count. Then read the board immediately by this API, will get all items and correct item_count. Create board API endpoint is supposed to return all items as Read Board API. This is example: Then I query the board immediately: Expect result: Create Board should return same Items and Item_count as Read Board. I think this is a bug of Create Board API.
Got a problem based on that part of the documentation monday.listen I try to get information about changes I make via openItemCard and get no response, no console.log. Can someone show me working sample how to use that listener?
Previously you were able to add Screenful as a board view, connected to a specific board. Now we’ve added a custom object that allows you to add a link to the left menu so that you are not limited to viewing charts & reports in the context of any individual board. What is a custom object and what is it good for? Learn more from our blog post
Create board if folder_id doesn’t exist or workspace_id doesn’t match folder_id, will return 500 Internal Server Error as below: Q1: Why doesn’t it return 400 Bad Request or 404 Not Found error? When return 500, it’s impossible to know it’s user error or server error. Q2: do you have any API endpoint to get all folder_ids of a workspace? Thank you!
I know there are groups and custom permissions that users can handle but is there another way to manage permissions something I didn’t notice in the documentation? Also through API, I can see groups like is_guest and is_admin. Suppose the user creates a custom permissions group. Will I be able to handle that through API?
We’ve all probably heard of SVB’s shutting down a couple of days ago. This is so unfortunate given that so many startups and VCs bank with SVB and may face liquidity problems trying to access their funds. We’re lucky not to have any account with SVB, but like any other company we need to understand how exposed are our partners, including monday.com. Is monday.com exposed directly or indirectly to SVB? Will monday.com be able to continue making payouts to app developers as usual?
Hey all I wanted to let you in on more great things you can do with Superform! Take a look at this video! Let me know what you think… Using HTML and generating multi signature files with SuperForm
I wanna let you in on new great things you can do with SuperForm. Take a look at this video! Let me know what you think… Using HTML and generating multi signature files with SuperForm
I have found Quickstart guide - tried following it, cannot get it to work. Then I found Creating new Item View which referred to a “Quickstart board view github page” https://github.com/mondaycom/welcome-apps/tree/master/apps/quickstart-react - which I tried following as well, and I cannot get it to work either. I really hate documentation not working and having to waste time on writing posts like this, but I’ll lay out my steps here - and hopefully someone will tell me what is wrong. I’m trying this on Ubuntu 20.04, I have installed node via: curl -fsSL https://deb.nodesource.com/setup_19.x | sudo -E bash - sudo apt install nodejs First I clone the welcome-apps repo: git clone https://github.com/mondaycom/welcome-apps.git mondaycom_welcome-apps_git cd mondaycom_welcome-apps_git/ cd apps/quickstart-react And then I follow https://github.com/mondaycom/welcome-apps/tree/master/apps/quickstart-react : Run the project In the project directory, you should run: npm install And then to ru
Has anyone managed to use the monday-sdk-js in the Account Settings View. I am getting the following error when trying to perform api calls: The same call succeeds in an Item View
Hi, I have custom trigger: [When subitem created] that will create webhook [create_subitem] and custom action: [Create an item (item mapping field) in board and…] Then I created a recipe [When subitem created, create an item in board and…] When I create a subitem, it run into the trigger, then post to “https://api-gw.monday.com/automations/apps-events/{subscriptionId}” but it is not run into the custom action (create an item in board and…) I tried my custom action with built-in trigger like: [When column changes, create an item in board and…], it works very well. I tried a lot of options, but can’t seem to get it right. Thanks in advance for the help. If anything needs clarification, please let me know.
I would like something like what is described here Possible to set up a running task (task with start, but no end date)? - and seeing that I cannot find existing monday.com functionality to implement that, I thought of trying to build a monday app. So, essentially, I basically just want to extend/subclass the Timeline type of column, so that it can be made into a “running task”, e.g. something like this: So, I’d rather “start” from Timeline as a “base class” somehow, then just extend or “subclass” it. But is that possible in monday apps? For instance, I cannot see anything in Creating and updating apps which might give a hint on how I would “subclass” Timeline - or even if it is possible. Then in Quickstart guide, I can see that there is possibility to choose, via the “Features” tab, between: “Board View”, “Account Settings View”, or “Dashboard Widget”. But which of these would an extended Timeline be? The Timeline View and Widget implies that it is a “widget” - but is this “widget”
I was trying to follow Quickstart guide while experimenting, and I ended up with this in the sidebar: Good - so I have a feature, “New App - Item View”. How can I delete/remove this feature, while keeping the app?
Hi, I am testing the Monday.com API endpoint using a developer account. I encountered the 429 error. I have a few questions about this. { "error_code": "ComplexityException", "status_code": 429, "error_message": "Complexity budget exhausted, query cost 325385 budget remaining 23845 out of 1000000 reset in 20 seconds", "error_data": {}, "errors": [ "Complexity budget exhausted, query cost 325385 budget remaining 23845 out of 1000000 reset in 20 seconds" ], "account_id": 14649038 } What’s the complexity limit for developer account? 1M or 10M? I found developer account limit was upgraded to 10M in the community announcement, but I can only see 1M during my testing. What does “budget remaining” in the error_message mean? According to my understanding, remaining budget means I haven’t reached the complexity limit, then why it raises complexityException error? Paid accounts may have higher complexity limit, how about Enterprise Account? Can Enterprise Ac
Hi Team, I’m new to monday.com so need your help on the below, I’m trying to find the server status through node.js and update the status in monday.com , could see result column updated but when i checked on monday.com board no changes. could someone help me on this please, Thanks, Duken.
An issue with a strange value in column which type is date occurred when adding an item using the mutation query. Using Tool : Postman Using Query mutation { create_item (board_id: ${board_id}, group_id: ${group_id}, item_name: ${item_name}, column_values: "{"date4":{"date":"2023-03-03"}}") { id } } expected : Item which has 2023-03-03 date value result : Item which has 2022/08/07 date value I tried 10 times. I confirmed that issue occured once out of 10 times. Please answer me why this issue has occured and how can i fix this issue.
Already have an account? Login
No account yet? Create an account
Enter your E-mail address. We'll send you an e-mail with instructions to reset your password.